Bug 331521 - failure to read mounted CD results in backtrace
Summary: failure to read mounted CD results in backtrace
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: virt-manager
Version: 10
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cole Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-10-14 22:10 UTC by Jon Masters
Modified: 2009-09-18 16:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-18 16:31:28 UTC


Attachments (Terms of Use)

Description Jon Masters 2007-10-14 22:10:22 UTC
Description of problem:

Failure to read a mounted CD results in an unpleasant error, only after the new
domain has been created...i.e. after the user has waited for disk allocation,
creation of new domain, etc. only then does a cryptic looking error appear.

virt-manager-0.5.2-1.fc8

Comment 1 Cole Robinson 2008-05-07 17:49:21 UTC
This is pretty old, but...

Any chance you still have the error, or are you still seeing this? If not, do
you remember how the mount read failed (as in, any reasonably way to reproduce?)
Thanks.

Comment 2 François Kooman 2008-10-03 20:08:49 UTC
virt-manager-0.6.0-1.fc10.x86_64 on rawhide with all updates of today. If you install a new virtual machine and choose for a physical CD while there is none you'll get a backtrace:

Uncaught error validating input: 'NoneType' object has no attribute 'startswith'

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/create.py", line 303, in forward
    if(self.validate(notebook.get_current_page()) != True):
  File "/usr/share/virt-manager/virtManager/create.py", line 953, in validate
    self._guest.installer.location = src
  File "/usr/lib/python2.5/site-packages/virtinst/DistroManager.py", line 148, in set_location
    elif os.path.exists(os.path.abspath(val)) \
  File "/usr/lib64/python2.5/posixpath.py", line 402, in abspath
    if not isabs(path):
  File "/usr/lib64/python2.5/posixpath.py", line 49, in isabs
    return s.startswith('/')
AttributeError: 'NoneType' object has no attribute 'startswith'

Comment 3 Bug Zapper 2008-11-26 07:58:52 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Cole Robinson 2008-11-26 16:31:45 UTC
Moving to F10, I'll look into this.

Comment 5 Cole Robinson 2009-01-24 18:58:02 UTC
Okay, a fix is pushed upstream:

http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virt-manager--devel/rev/271f41b7218f

Moving to POST.

Comment 6 Fedora Update System 2009-03-04 19:21:36 UTC
virt-manager-0.6.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/virt-manager-0.6.1-1.fc10

Comment 7 Fedora Update System 2009-03-05 16:29:45 UTC
virt-manager-0.6.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update virt-manager'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2390

Comment 8 Cole Robinson 2009-09-18 16:31:28 UTC
Fixed in virt-manager-0.6.1-3.fc10 which is in F10. Closing as CURRENTRELEASE.


Note You need to log in before you can comment on or make changes to this bug.